Update Clinician
curl --request PATCH \
--url https://app.silnahealth.com/api/public/v1/clinicians/{clinician_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"first_name": null,
"last_name": null,
"npi": "1234567890",
"email": null,
"primary_taxonomy_code": null,
"phone": null,
"service_location_id": null
}
'import requests
url = "https://app.silnahealth.com/api/public/v1/clinicians/{clinician_id}"
payload = {
"first_name": None,
"last_name": None,
"npi": "1234567890",
"email": None,
"primary_taxonomy_code": None,
"phone": None,
"service_location_id": None
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
first_name: null,
last_name: null,
npi: '1234567890',
email: null,
primary_taxonomy_code: null,
phone: null,
service_location_id: null
})
};
fetch('https://app.silnahealth.com/api/public/v1/clinicians/{clinician_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}Clinicians
Update Clinician
PATCH
/
public
/
v1
/
clinicians
/
{clinician_id}
Update Clinician
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json
Clinician first name
Clinician last name
National Provider Identifier
Required string length:
10Example:
"1234567890"
Clinician email address
Primary taxonomy code
Maximum string length:
255Clinician phone number
Maximum string length:
255The service location's Silna identifier
Response
OK
⌘I